package gg.malloc.defense.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import gg.malloc.defense.engine.GameRunner;

import gg.malloc.defense.Plugin;

public class AddPlayerCommand implements CommandExecutor {
  Plugin m_plugin;

  public AddPlayerCommand(Plugin plugin) {
    m_plugin = plugin;
  }

  @Override
  public boolean onCommand(CommandSender sender, Command command, String s, String[] args) {
    String arenaName = args[0];
    GameRunner runner = m_plugin.getRunnerForArenaName(arenaName);
    if (runner == null) {
      sender.sendMessage("No such arena '" + arenaName + "'");
      return true;
    }
    Player player = m_plugin.getServer().getPlayer(args[1]);
    runner.addPlayer(player);
    return true;
  }
}
