package gg.malloc.defense.model;

public interface Progress {

  int value();
  int maximum();
  default int remaining() {
    return maximum() - value();
  }
  default double toDouble() {
    return Math.min(maximum(), Math.max(0.0, value())) / maximum();
  }
}
